> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Marketplace Seller

> A marketplace channel of a platform adds a seller without a sign-up session.

The seller must already be signed up at another marketplace channel of the same platform.
If the channel already knows the seller, SCX updates it instead.




## OpenAPI

````yaml /openapi/marketplace-channels/channel.json post /v1/channel/seller/platform/{jtlAccountId}
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel/seller/platform/{jtlAccountId}:
    post:
      tags:
        - Seller
      summary: Upsert Marketplace Seller
      description: >
        A marketplace channel of a platform adds a seller without a sign-up
        session.


        The seller must already be signed up at another marketplace channel of
        the same platform.

        If the channel already knows the seller, SCX updates it instead.
      operationId: UpsertMarketplaceSeller
      parameters:
        - in: path
          name: jtlAccountId
          description: JTL account that owns the seller.
          required: true
          schema:
            $ref: '#/components/schemas/JtlAccountId'
      requestBody:
        $ref: '#/components/requestBodies/UpsertMarketplaceSeller'
      responses:
        '200':
          description: Seller of the marketplace channel updated
        '201':
          description: Seller added to the marketplace channel
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  schemas:
    JtlAccountId:
      description: |
        JTL Internal ID to identify a JTL Account
      type: integer
      format: int32
      minimum: 1
      example: 1782
    UpsertMarketplaceSeller:
      description: >-
        Seller data a marketplace channel sends to add or update a seller of a
        sibling marketplace channel.
      type: object
      required:
        - sellerId
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        isActive:
          description: Whether the seller is active at this marketplace channel.
          type: boolean
          default: true
          example: true
        companyName:
          type: string
          example: Bernd's brennender Brennholzverleih GmbH
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
  requestBodies:
    UpsertMarketplaceSeller:
      description: Seller to add to or update at the marketplace channel.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpsertMarketplaceSeller'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ResourceNotFound:
      description: Requested resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN404
                message: Not found
                severity: error
                hint: null
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````